/*
 * This file is part of Squirrels.
 * Copyright (C) 2009 Squirrels Develop Team.
 *
 * Squirrels is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 * 
 * Squirrels is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Squirrels. If not, see <http://www.gnu.org/licenses/>.
 */
package squirrels.affiliate.action;

import java.util.List;

import squirrels.affiliate.model.bean.Category;



/**
 */
@SuppressWarnings("serial")
public class IndexAction extends AbstractAction {

	private List rankList;
	
	/**
	 * @return the rankList
	 */
	public List getRankList() {
		return rankList;
	}


	/**
	 * execute
	 * @return result name
	 * @throws Exception if an error occurs
	 */
	public String execute() throws Exception {
		Category root = utils().getRootCategory();
		if (root != null) {
			rankList = getItemModel().ranking(root.getId());
		}
		else {
			rankList = getItemModel().ranking(null);
		}

		return SUCCESS;
	}

}
