/*
 * This file is part of Squirrels.
 * Copyright (C) 2009 Squirrels Develop Team.
 *
 * Squirrels is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 * 
 * Squirrels is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Squirrels. If not, see <http://www.gnu.org/licenses/>.
 */
package squirrels.affiliate.webservice.rakuten;

import java.util.Map;



/**
 */
public class RakutenAPI {
	private static Map cache;
	private static String wsuri = "http://api.rakuten.co.jp/rws/3.0/json";
	private static String developerId;
	private static String affiliateId;
	public static String ID = "r";

	/**
	 * @param cache the cache to set
	 */
	public static void setCache(Map cache) {
		RakutenAPI.cache = cache;
	}

	/**
	 * @return the cache
	 */
	public static Map getCache() {
		return cache;
	}

	/**
	 * @return the wsuri
	 */
	public static String getWsuri() {
		return wsuri;
	}

	/**
	 * @param wsuri the wsuri to set
	 */
	public static void setWsuri(String wsuri) {
		RakutenAPI.wsuri = wsuri;
	}

	/**
	 * @return the developerId
	 */
	public static String getDeveloperId() {
		return developerId;
	}

	/**
	 * @param developerId the developerId to set
	 */
	public static void setDeveloperId(String developerId) {
		RakutenAPI.developerId = developerId;
	}

	/**
	 * @return the affiliateId
	 */
	public static String getAffiliateId() {
		return affiliateId;
	}

	/**
	 * @param affiliateId the affiliateId to set
	 */
	public static void setAffiliateId(String affiliateId) {
		RakutenAPI.affiliateId = affiliateId;
	}
	
	public static ShoppingAPI getShoppingAPI() {
		return new ShoppingAPI();
	}
}
