<#--
/*
 * This file is part of Squirrels.
 * Copyright (C) 2009 Squirrels Develop Team.
 *
 * Squirrels is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 * 
 * Squirrels is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Squirrels. If not, see <http://www.gnu.org/licenses/>.
 */
-->
<html>
<head>
	<title><@n.text name="title-page"/></title>
</head>

<body>

<div class="n-sect" id="a_login_input">
	<div class="n-sect-head">
		<h3 class="n-sect-title">
			<@n.text name="title-page"/>
			<#if _order??>
				 - <@n.text name="text-order"/>
			</#if>
		</h3>
	</div>
	<div class="n-sect-body">

		<h4 class="caption"><@n.text name="text-unregistered"/></h4>
		<br/>
		<div class="indent2">
			<@n.url var='_ri' action='register_input'>
				<@s.param name='redirect' value='redirect'/>
			</@n.url>
			<@n.a icon="n-icon-vcard_add" href="${_ri}"><@n.text name="link-register"/></@n.a>
		</div>
		
		<br/><br/>
		<div class="hr"></div>

		<h4 class="caption"><@n.text name="text-registered"/></h4>
		<br/>

		<div class="indent2">
			<h4><@n.text name="text-input"/></h4>
	
			<#include "/nuts/exts/struts2/views/action-prompt.ftl"/>
	
			<@n.form id="loginForm" action="login_login" method="post" 
				cssClass="n-eform" theme="nxhtml" loadmask="false"
				onsubmit="return onLoginSubmit();">
				<#if _order??><@n.hidden name="_order"/></#if>
				<@n.hidden name="redirect"/>
				<@n.textfield key="username" size="30" maxlength="80" required="true"/>
				<@n.password key="password" size="30" maxlength="16" required="true"/>
				<@n.checkbox name="autosave" clabel="${action.getText('autosave')}"/>
				<@n.submit icon="n-icon-bullet_key" sicon="n-icon-bullet_go"><@n.text name="button-login"/></@n.submit>
			</@n.form>
			
			<br/>
			<h6><@n.text name="text-password-forgot"/></h6>
			<div class="indent2">
				<@n.a icon="n-icon-arrow_turn_left" action="passwordreturn_input" namespace="/user"><@n.text name="link-password-return"/></@n.a>
			</div>
		</div>
		
		<br/><br/>
	</div>
</div>

<script type="text/javascript">
	function onLoginSubmit() {
		$("#loginForm").loadmask('<@n.text name="button-login"/>...');
	}
</script>

</body>
</html>
