/*
 * This file is part of Squirrels.
 * Copyright (C) 2009 Squirrels Develop Team.
 *
 * Squirrels is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 * 
 * Squirrels is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Squirrels. If not, see <http://www.gnu.org/licenses/>.
 */
package squirrels.ecshop.action;

import nuts.aems.model.bean.CommonBean;
import nuts.core.orm.dao.QueryParameter;

import squirrels.ecshop.util.ActionConsts;
import squirrels.ecshop.util.ActionUtils;

/**
 * @param <T> data type
 * @param <E> example type
 */
@SuppressWarnings("serial")
public abstract class AbstractModelDrivenAction<T extends CommonBean, E extends QueryParameter>
		extends nuts.aems.action.AbstractModelDrivenAction<T, E> {

	/**
	 * Constructor
	 */
	public AbstractModelDrivenAction() {
	}

	/**
	 * @return the utils
	 */
	public ActionUtils utils() {
		return (ActionUtils)super.getUtils();
	}

	/**
	 * @return the consts
	 */
	public ActionConsts consts() {
		return (ActionConsts)super.getConsts();
	}
}
