/*
 * This file is part of Squirrels.
 * Copyright (C) 2009 Squirrels Develop Team.
 *
 * Squirrels is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 *
 * Squirrels is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Squirrels. If not, see <http://www.gnu.org/licenses/>.
 */
package squirrels.ecshop.action.user;

import nuts.aems.model.bean.User;

import squirrels.ecshop.action.user.goodscomment.GoodsCommentAction;
import squirrels.ecshop.model.bean.GoodsComment;



/**
 * GoodsCommentExAction
 */
@SuppressWarnings("serial")
public class GoodsCommentExAction extends GoodsCommentAction {

	/**
	 * Constructor
	 */
	public GoodsCommentExAction() {
		super();
	}


	/**
	 * prepareDefaultData
	 * @param data data
	 * @return data
	 */
	@Override
	protected GoodsComment prepareDefaultData(GoodsComment data)
			throws Exception {
		data = super.prepareDefaultData(data);
		User user = utils().getLoginUser();
		if (user != null) {
			data.setUserId(user.getId());
		}
		return data;
	}
}
